Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.TiledWatermarkSettings Class Reference

Inherits FoxitPDFSDKPython3._object.

## Public Member Functions
def | TiledWatermarkSettings (row_space, col_space, rotation, opacity, scale, flags)
| Constructor, with parameters. More...
def | TiledWatermarkSettings ()
| Constructor and set the default value. More...
def | Set (row_space, col_space, rotation, opacity, scale, flags)
| Set value. More...

## Static Public Attributes
| col_space = _fsdk.TiledWatermarkSettings_col_space
| The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
| e_FlagAsAnnot = _fsdk.TiledWatermarkSettings_e_FlagAsAnnot
| If set, the watermark will be an annotation when inserted to a PDF page, and the watermark will be show above other content.
| e_FlagAsPageContents = _fsdk.TiledWatermarkSettings_e_FlagAsPageContents
| If set, the watermark will be a part of page content when inserted to a PDF page.
| e_FlagInvisible = _fsdk.TiledWatermarkSettings_e_FlagInvisible
| If set, do not display a watermark.
| e_FlagNoPrint = _fsdk.TiledWatermarkSettings_e_FlagNoPrint
| If set, do not print a watermark.
| e_FlagOnTop = _fsdk.TiledWatermarkSettings_e_FlagOnTop
| If set, show watermark above other page content.
| flags = _fsdk.TiledWatermarkSettings_flags
| Watermark flags. More...
| opacity = _fsdk.TiledWatermarkSettings_opacity
| Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
| rotation = _fsdk.TiledWatermarkSettings_rotation
| Rotation angle in degrees.
| row_space = _fsdk.TiledWatermarkSettings_row_space
| The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
| scale = _fsdk.TiledWatermarkSettings_scale
| The image or page scale in percents. Valid range: from 1 to 100. 100 means the image or page is displayed at its original size. The default value is. More...

## Detailed Description

This class represents the watermark settings used to construct a tiled watermark from any supported resource.

## Constructor & Destructor Documentation

## ◆ TiledWatermarkSettings() [1/2]

def FoxitPDFSDKPython3.TiledWatermarkSettings.TiledWatermarkSettings | ( |  | row_space,
|  |  | col_space,
|  |  | rotation,
|  |  | opacity,
|  |  | scale,
|  |  | flags
| ) |  |

Constructor, with parameters.

The parameter scale doesn't support text tiled watermark, and will have no effect after setting.

Parameters

  [in] | row_space | The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | col_space | The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
  [in] | scale | The image or page scale in percents. Valid range: from 0 to 100. 0 means not displayed, 100 means the image or page is displayed at its original scale size.
  [in] | flags | Watermark flags. Please refer to values starting from FoxitPDFSDKPython3.TiledWatermarkSettings.e_FlagAsPageContents and this can be one or a combination of these values. Default value: FoxitPDFSDKPython3.TiledWatermarkSettings.e_FlagAsPageContents .

## ◆ TiledWatermarkSettings() [2/2]

def FoxitPDFSDKPython3.TiledWatermarkSettings.TiledWatermarkSettings | ( |  | ) |

Constructor and set the default value.

By default, the watermark is not rotated and opacity is completely opaque, the row spacing and column spacing defaults to 2.0 inches. If it's an image or page watermark, display the original scale size.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython3.TiledWatermarkSettings.Set | ( |  | row_space,
|  |  | col_space,
|  |  | rotation,
|  |  | opacity,
|  |  | scale,
|  |  | flags
| ) |  |

Set value.

The parameter scale doesn't support text tiled watermark, and will have no effect after setting.

Parameters

  [in] | row_space | The row spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | col_space | The column spacing for multiple lines of tiled watermark. Its unit is inch and it can't be a negative number.
  [in] | rotation | Rotation angle in degrees.
  [in] | opacity | Opacity in percents. Valid range: from 0 to 100. 0 for fully transparent and 100 for fully opaque.
  [in] | scale | The image or page scale in percents. Valid range: from 0 to 100. 0 means not displayed, 100 means the image or page is displayed at its original scale size.
  [in] | flags | Watermark flags. Please refer to values starting from FoxitPDFSDKPython3.TiledWatermarkSettings.e_FlagAsPageContents and this can be one or a combination of these values. Default value: FoxitPDFSDKPython3.TiledWatermarkSettings.e_FlagAsPageContents .

Returns
  None.

## Member Data Documentation

## ◆ flags

FoxitPDFSDKPython3.TiledWatermarkSettings.flags = _fsdk.TiledWatermarkSettings_flags
| static

Watermark flags.

Please refer to values starting from FoxitPDFSDKPython3.TiledWatermarkSettings.e_FlagAsPageContents and this can be one or a combination of these values.
Default value: FoxitPDFSDKPython3.TiledWatermarkSettings.e_FlagAsPageContents .

## ◆ scale

FoxitPDFSDKPython3.TiledWatermarkSettings.scale = _fsdk.TiledWatermarkSettings_scale
| static

The image or page scale in percents. Valid range: from 1 to 100. 100 means the image or page is displayed at its original size. The default value is.